- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QWebElement Class Reference

Search for all occurrences

## Detailed Description

Definition at line 49 of file qwebelement.h.

`#include <qwebelement.h>`

List of all members.

## Public Types
enum | StyleResolveStrategy { InlineStyle, CascadedStyle, ComputedStyle }
## Public Member Functions
| QWebElement ()
| QWebElement (const QWebElement &)
QWebElement & | operator= (const QWebElement &)
| ~QWebElement ()
bool | operator== (const QWebElement &o) const
bool | operator!= (const QWebElement &o) const
bool | isNull () const
QWebElementCollection | findAll (const QString &selectorQuery) const
QWebElement | findFirst (const QString &selectorQuery) const
void | setPlainText (const QString &text)
QString | toPlainText () const
void | setOuterXml (const QString &markup)
QString | toOuterXml () const
void | setInnerXml (const QString &markup)
QString | toInnerXml () const
void | setAttribute (const QString &name, const QString &value)
void | setAttributeNS (const QString &namespaceUri, const QString &name, const QString &value)
QString | attribute (const QString &name, const QString &defaultValue=QString()) const
QString | attributeNS (const QString &namespaceUri, const QString &name, const QString &defaultValue=QString()) const
bool | hasAttribute (const QString &name) const
bool | hasAttributeNS (const QString &namespaceUri, const QString &name) const
void | removeAttribute (const QString &name)
void | removeAttributeNS (const QString &namespaceUri, const QString &name)
bool | hasAttributes () const
QStringList | attributeNames (const QString &namespaceUri=QString()) const
QStringList | classes () const
bool | hasClass (const QString &name) const
void | addClass (const QString &name)
void | removeClass (const QString &name)
void | toggleClass (const QString &name)
bool | hasFocus () const
void | setFocus ()
QRect | geometry () const
QString | tagName () const
QString | prefix () const
QString | localName () const
QString | namespaceUri () const
QWebElement | parent () const
QWebElement | firstChild () const
QWebElement | lastChild () const
QWebElement | nextSibling () const
QWebElement | previousSibling () const
QWebElement | document () const
QWebFrame * | webFrame () const
void | appendInside (const QString &markup)
void | appendInside (const QWebElement &element)
void | prependInside (const QString &markup)
void | prependInside (const QWebElement &element)
void | appendOutside (const QString &markup)
void | appendOutside (const QWebElement &element)
void | prependOutside (const QString &markup)
void | prependOutside (const QWebElement &element)
void | encloseContentsWith (const QWebElement &element)
void | encloseContentsWith (const QString &markup)
void | encloseWith (const QString &markup)
void | encloseWith (const QWebElement &element)
void | replace (const QString &markup)
void | replace (const QWebElement &element)
QWebElement | clone () const
QWebElement & | takeFromDocument ()
void | removeFromDocument ()
void | removeAllChildren ()
QVariant | evaluateJavaScript (const QString &scriptSource)
QString | styleProperty (const QString &name, StyleResolveStrategy strategy) const
void | setStyleProperty (const QString &name, const QString &value)
void | render (QPainter *painter)
## Friends
class | QWebFrame
class | QWebElementCollection
class | QWebHitTestResult
class | QWebHitTestResultPrivate
class | QWebPage
class | JSC::Bindings::QtWebElementRuntime

## Member Enumeration Documentation

enum StyleResolveStrategy

Search for all occurrences

Enumerator:

  InlineStyle | Search for all occurrences
  CascadedStyle | Search for all occurrences
  ComputedStyle | Search for all occurrences

Definition at line 141 of file qwebelement.h.

                                  {
             InlineStyle,
             CascadedStyle,
             ComputedStyle,
        };

## Constructor & Destructor Documentation

QWebElement | ( |  | ) |

QWebElement | ( | const QWebElement & |  | ) |

~QWebElement | ( |  | ) |

## Member Function Documentation

QWebElement& operator= | ( | const QWebElement & |  | ) |

bool operator== | ( | const QWebElement & | o | ) | const

bool operator!= | ( | const QWebElement & | o | ) | const

bool isNull | ( |  | ) | const

Search for all occurrences

QWebElementCollection findAll | ( | const QString & | selectorQuery | ) | const

Search for all occurrences

QWebElement findFirst | ( | const QString & | selectorQuery | ) | const

Search for all occurrences

void setPlainText | ( | const QString & | text | ) |

Search for all occurrences

QString toPlainText | ( |  | ) | const

Search for all occurrences

void setOuterXml | ( | const QString & | markup | ) |

Search for all occurrences

QString toOuterXml | ( |  | ) | const

Search for all occurrences

void setInnerXml | ( | const QString & | markup | ) |

Search for all occurrences

QString toInnerXml | ( |  | ) | const

Search for all occurrences

void setAttribute | ( | const QString & | name,
|  | const QString & | value
| ) |  |

Search for all occurrences

void setAttributeNS | ( | const QString & | namespaceUri,
|  | const QString & | name,
|  | const QString & | value
| ) |  |

Search for all occurrences

QString attribute | ( | const QString & | name,
|  | const QString & | defaultValue = `QString()`
| ) |  | const

Search for all occurrences

QString attributeNS | ( | const QString & | namespaceUri,
|  | const QString & | name,
|  | const QString & | defaultValue = `QString()`
| ) |  | const

Search for all occurrences

bool hasAttribute | ( | const QString & | name | ) | const

Search for all occurrences

bool hasAttributeNS | ( | const QString & | namespaceUri,
|  | const QString & | name
| ) |  | const

Search for all occurrences

void removeAttribute | ( | const QString & | name | ) |

Search for all occurrences

void removeAttributeNS | ( | const QString & | namespaceUri,
|  | const QString & | name
| ) |  |

Search for all occurrences

bool hasAttributes | ( |  | ) | const

Search for all occurrences

QStringList attributeNames | ( | const QString & | namespaceUri = `QString()` | ) | const

Search for all occurrences

QStringList classes | ( |  | ) | const

Search for all occurrences

bool hasClass | ( | const QString & | name | ) | const

Search for all occurrences

void addClass | ( | const QString & | name | ) |

Search for all occurrences

void removeClass | ( | const QString & | name | ) |

Search for all occurrences

void toggleClass | ( | const QString & | name | ) |

Search for all occurrences

bool hasFocus | ( |  | ) | const

Search for all occurrences

void setFocus | ( |  | ) |

Search for all occurrences

QRect geometry | ( |  | ) | const

Search for all occurrences

QString tagName | ( |  | ) | const

Search for all occurrences

QString prefix | ( |  | ) | const

Search for all occurrences

QString localName | ( |  | ) | const

Search for all occurrences

QString namespaceUri | ( |  | ) | const

Search for all occurrences

QWebElement parent | ( |  | ) | const

Search for all occurrences

QWebElement firstChild | ( |  | ) | const

Search for all occurrences

QWebElement lastChild | ( |  | ) | const

Search for all occurrences

QWebElement nextSibling | ( |  | ) | const

Search for all occurrences

QWebElement previousSibling | ( |  | ) | const

Search for all occurrences

QWebElement document | ( |  | ) | const

Search for all occurrences

QWebFrame* webFrame | ( |  | ) | const

Search for all occurrences

void appendInside | ( | const QString & | markup | ) |

Search for all occurrences

void appendInside | ( | const QWebElement & | element | ) |

Search for all occurrences

void prependInside | ( | const QString & | markup | ) |

Search for all occurrences

void prependInside | ( | const QWebElement & | element | ) |

Search for all occurrences

void appendOutside | ( | const QString & | markup | ) |

Search for all occurrences

void appendOutside | ( | const QWebElement & | element | ) |

Search for all occurrences

void prependOutside | ( | const QString & | markup | ) |

Search for all occurrences

void prependOutside | ( | const QWebElement & | element | ) |

Search for all occurrences

void encloseContentsWith | ( | const QWebElement & | element | ) |

Search for all occurrences

void encloseContentsWith | ( | const QString & | markup | ) |

Search for all occurrences

void encloseWith | ( | const QString & | markup | ) |

Search for all occurrences

void encloseWith | ( | const QWebElement & | element | ) |

Search for all occurrences

void replace | ( | const QString & | markup | ) |

Search for all occurrences

void replace | ( | const QWebElement & | element | ) |

Search for all occurrences

QWebElement clone | ( |  | ) | const

Search for all occurrences

QWebElement& takeFromDocument | ( |  | ) |

Search for all occurrences

void removeFromDocument | ( |  | ) |

Search for all occurrences

void removeAllChildren | ( |  | ) |

Search for all occurrences

QVariant evaluateJavaScript | ( | const QString & | scriptSource | ) |

Search for all occurrences

QString styleProperty | ( | const QString & | name,
|  | StyleResolveStrategy | strategy
| ) |  | const

Search for all occurrences

void setStyleProperty | ( | const QString & | name,
|  | const QString & | value
| ) |  |

Search for all occurrences

void render | ( | QPainter * | painter | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class QWebFrame `[friend]`

Search for all occurrences

Definition at line 157 of file qwebelement.h.

friend class QWebElementCollection `[friend]`

Search for all occurrences

Definition at line 158 of file qwebelement.h.

friend class QWebHitTestResult `[friend]`

Search for all occurrences

Definition at line 159 of file qwebelement.h.

friend class QWebHitTestResultPrivate `[friend]`

Search for all occurrences

Definition at line 160 of file qwebelement.h.

friend class QWebPage `[friend]`

Search for all occurrences

Definition at line 161 of file qwebelement.h.

friend class JSC::Bindings::QtWebElementRuntime `[friend]`

Search for all occurrences

Definition at line 162 of file qwebelement.h.

The documentation for this class was generated from the following file:

- QtWebKit/qwebelement.h

QWebElement QWebElement QWebElement QWebElement QWebElement QWebElement QWebElement QWebElement QWebElement QWebElement
QWebElement QWebElement QWebElement QWebElement QWebElement QWebElement QWebElement QWebElement QWebElement QWebElement